local addonName, L = ...;
local TeamCache = ArenaLiveCore:GetHandler("TeamCache");
local UnitTracker = ArenaLiveCore:GetHandler("UnitTracker");

StaticPopupDialogs["ARENALIVESPECTATOR_CONFIRM_TEAM_UPDATE"] = {
	text = "",
	button1 = YES,
	button2 = NO,
	OnShow = function(self) local replace = ALSPEC_TEAM_CACHE_CURRENT_TEAM or ""; self.text:SetFormattedText(L["TEAM_CACHE_CONFIRM_UPDATE_POPUP_TEXT"], replace) end,
	OnAccept = function (self) TeamCache:UpdateTeam(); end,
	OnCancel = function (self) end,
	hideOnEscape = 1,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	preferredIndex = STATICPOPUP_NUMDIALOGS, -- avoid some UI taint.
}

StaticPopupDialogs["ARENALIVESPECTATOR_ENTER_PLAYER_NAME"] = {
	text = L["TEAM_MENU_MEMBER_POPUP_ENTER_NAME"],
	button1 = ACCEPT,
	button2 = CANCEL,
	hasEditBox = 1,
	OnShow = function(self) self.editBox:SetFocus(); end,
	OnHide = function(self) self.editBox:SetText(""); end,
	OnAccept = function(self)
		local text = self.editBox:GetText();
		local currentTeam = ALSpec_TeamMenu.currentTeam;
		local chosenPlayer = UIDROPDOWNMENU_OPEN_MENU:GetID();

		if ( currentTeam and chosenPlayer ) then
			local dbKey = "Teams/"..currentTeam.."/Member"..chosenPlayer;
			ArenaLiveCore:SetDBEntry(addonName, dbKey, text);
			ArenaLiveSpectator:OnEvent("ALSPEC_TEAM_MEMBER_UPDATE", ALSpec_TeamMenu.currentTeam, chosenPlayer);
			UIDropDownMenu_SetText(UIDROPDOWNMENU_OPEN_MENU, text);
		end
	end,
	EditBoxOnEnterPressed = function(self)
		local parent = self:GetParent();
		local text = self:GetText();
		local currentTeam = ALSpec_TeamMenu.currentTeam;
		local chosenPlayer = UIDROPDOWNMENU_OPEN_MENU:GetID();
		
		if ( currentTeam and chosenPlayer ) then
			local dbKey = "Teams/"..currentTeam.."/Member"..chosenPlayer;
			ArenaLiveCore:SetDBEntry(addonName, dbKey, text);
			ArenaLiveSpectator:OnEvent("ALSPEC_TEAM_MEMBER_UPDATE", ALSpec_TeamMenu.currentTeam, chosenPlayer);
			UIDropDownMenu_SetText(UIDROPDOWNMENU_OPEN_MENU, text);
		end
		parent:Hide();
	end,
	OnCancel = function (self) end,
	hideOnEscape = 1,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	preferredIndex = STATICPOPUP_NUMDIALOGS, -- avoid some UI taint.
}